Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.common
Class XMLValidator.XPathMatcherStack

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.common.XMLValidator.XPathMatcherStack

protected static class XMLValidator.XPathMatcherStack
extends java.lang.Object

Stack of XPath matchers for identity constraints.

Author:
  Andy Clark, IBM

Field Summary
`protected IntStack` | `fContextStack` Offset stack for contexts.
`protected XPathMatcher[]` | `fMatchers` Active matchers.
`protected int` | `fMatchersCount` Count of active matchers.

Constructor Summary
`XMLValidator.XPathMatcherStack()`

Method Summary
`void` | `addMatcher(XPathMatcher matcher)` Adds a matcher.
`void` | `clear()` Resets the XPath matcher stack.
`XPathMatcher` | `getMatcherAt(int index)` Returns the XPath matcher at the specified index.
`int` | `getMatcherCount()` Returns the count of XPath matchers.
`void` | `popContext()` Pops a context off of the stack.
`void` | `pushContext()` Pushes a new context onto the stack.
`int` | `size()` Returns the size of the stack.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fMatchers

    protected XPathMatcher[] fMatchers

  Active matchers.

### fMatchersCount

    protected int fMatchersCount

  Count of active matchers.

### fContextStack

    protected IntStack fContextStack

  Offset stack for contexts.

Constructor Detail

### XMLValidator.XPathMatcherStack

    public XMLValidator.XPathMatcherStack()

Method Detail

### clear

    public void clear()

  Resets the XPath matcher stack.

### size

    public int size()

  Returns the size of the stack.

### getMatcherCount

    public int getMatcherCount()

  Returns the count of XPath matchers.

### addMatcher

    public void addMatcher(XPathMatcher matcher)

  Adds a matcher.

### getMatcherAt

    public XPathMatcher getMatcherAt(int index)

  Returns the XPath matcher at the specified index.

### pushContext

    public void pushContext()

  Pushes a new context onto the stack.

### popContext

    public void popContext()

  Pops a context off of the stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference